package com.wd.workoffice.bean.mesBean;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class FactoryBean {

    /**
     * id : 17
     * createDateTime : 1585721646000
     * updateDateTime : 1587459925000
     * steelmakingWorksCode : lgc1
     * steelmakingWorksName : Liangan7
     * annualOutput : 1111777
     * steelGrade : 88888777
     * createUserId : 398c852b38e911ea8334fa163e1166bd
     * createUserName : null
     * updateUserId : 398c852b38e911ea8334fa163e1166bd
     * updateUserName : hello
     * remark : null
     * customerUserCode : KN00185
     * delete : false
     */

    private String id;
    private long createDateTime;
    private long updateDateTime;
    private String steelmakingWorksCode;
    private String steelmakingWorksName;
    private String annualOutput;
    private String steelGrade;
    private String createUserId;
    private Object createUserName;
    private String updateUserId;
    private String updateUserName;
    private Object remark;
    private String customerUserCode;
    private boolean delete;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public long getCreateDateTime() {
        return createDateTime;
    }

    public void setCreateDateTime(long createDateTime) {
        this.createDateTime = createDateTime;
    }

    public long getUpdateDateTime() {
        return updateDateTime;
    }

    public void setUpdateDateTime(long updateDateTime) {
        this.updateDateTime = updateDateTime;
    }

    public String getSteelmakingWorksCode() {
        return steelmakingWorksCode;
    }

    public void setSteelmakingWorksCode(String steelmakingWorksCode) {
        this.steelmakingWorksCode = steelmakingWorksCode;
    }

    public String getSteelmakingWorksName() {
        return steelmakingWorksName;
    }

    public void setSteelmakingWorksName(String steelmakingWorksName) {
        this.steelmakingWorksName = steelmakingWorksName;
    }

    public String getAnnualOutput() {
        return annualOutput;
    }

    public void setAnnualOutput(String annualOutput) {
        this.annualOutput = annualOutput;
    }

    public String getSteelGrade() {
        return steelGrade;
    }

    public void setSteelGrade(String steelGrade) {
        this.steelGrade = steelGrade;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Object getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(Object createUserName) {
        this.createUserName = createUserName;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public Object getRemark() {
        return remark;
    }

    public void setRemark(Object remark) {
        this.remark = remark;
    }

    public String getCustomerUserCode() {
        return customerUserCode;
    }

    public void setCustomerUserCode(String customerUserCode) {
        this.customerUserCode = customerUserCode;
    }

    public boolean isDelete() {
        return delete;
    }

    public void setDelete(boolean delete) {
        this.delete = delete;
    }
}
